21 November 2007

Scalar::Util on CentOS5 is Bustinated

While trying to install pastebot on my CentOS5 sandbox for interal IRC usage, I found that I had to install a number of other perl modules upon which pastebot depended. This however became very frustrating as nearly all of them failed.
I ended up following the dependency chain to eventually find out that IO::Compress::Base was failing because the Scalar::Util module, installed stock by CentOS, lacked the “XS” extension. A Google search led me to this bug report confirming it. Fortunately the problem is easily solved by doing a “force install Scalar::Util” in cpan.
I assume that this problem also exists in RHEL5, and some LUGmates have reported similar breakage inFedora.

No comments:

Post a Comment